


html{
        scroll-behavior: smooth;
    }

    

    #leftPanel{
      height: 100vh;
      overflow-y: scroll;
    }



    #productsPanel{
      /* margin-left: 200px; */
      /* height: 100vh; */
      overflow-y: scroll; 
      width: 100%;
      display:grid;
      grid-template-columns: repeat(2,50%);
      margin-top:84px; 
      align-items: center;
      justify-content: center;
      /* margin-bottom: 84px; */
    }

    body{
      margin: 0;
    }
    
    .flex-container {
      display: flex;
      height:100vh;
      overflow:hidden
    }


    /*scroll bar*/
    /* width */
    ::-webkit-scrollbar {
      width: 4px;
      height: 6px; 
    }

    /* Track */
    ::-webkit-scrollbar-track {
      box-shadow: inset 0 0 5px lightgrey; 
      border-radius: 3px;
    }
     
    /* Handle */
    ::-webkit-scrollbar-thumb {
      background: #339999; 
      border-radius: 100px;
    }

    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
      background: grey; 
    }




  /* Sidebar Css*/
  body {
    margin: 0;
    font-family: "Lato", sans-serif;
  }

  .sidebar {
    margin-top: 74px;
    padding: 0;
    width: 25%;
    background-color: #0e3a62;
    /* position: fixed; */
    /* height: 100vh; */
    overflow: auto;
  }

  .sidebar a {
    display: block;
    color: white;
    padding: 16px;
    text-decoration: none;
  }
 
  .sidebar a.active {
    background-color: #4CAF50;
    color: white;
  }

  .sidebar a:hover:not(.active) {
    background-color: #555;
    color: white;
    font-weight: 900;
  }


  @media screen and (max-width: 700px) {
    .sidebar {
      width: 100%;
      height: auto;
      position: relative;
    }
    .sidebar a {float: left;}
  }

  @media screen and (max-width: 400px) {
    .sidebar a {
      text-align: center;
      float: none;
    }
  }

 


  /* Product View*/

  .polaroid {
    width: 50%;
    background-color: #0e3a62;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    margin:32px auto;
    position: relative;
    display: flex;
    flex-direction: column;
  }

  .container {
    text-align: left;
    padding: 10px 20px;
  }

  .container p{
    color: white;
  }

  @media screen and (max-width: 700px) {
    .polaroid {
      width: 95%;
      height: auto;
      position: relative;
      margin-left: 8px;
    }
  }

  .container {
    position: relative;
    width: 100%;
    max-width: 400px;
  }

  .overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .3s ease;
  background-color: rgba(0,0,0,0.5)
}

.container:hover .overlay {
  opacity: 1;
}

.icon {
  color: white;
  font-size: 60px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
}

.fa-trash:hover {
  color: white;
}

#next {
  width: 32px;
  height: 28px;
  position: absolute;
  top: 10px;
  right:10px
}

.multi-modal-container {
        position: absolute;
        height: 100vh;
        width: 100vw;
        top: 0px;
        background-color: rgba(230,230,230,0.8) ;
        /* background-color: rgba(2, 2, 2, 0.8); */
        }


    .multi-modal-content {
      width: 500px;
      position: absolute;
      margin: 150px calc(50% - 250px);
      z-index: 2;
      display: flex;
      flex-direction: column;
      background-color:#FFFFFF ;
      top: -50px;
    }

    .multi-back-drop {
      width: 100%;
      height: 100%;
      position: fixed;
      /* background: black;
      opacity: 0.5; */
      z-index: 1;
      /* background-color: #70000000 ; */
      background:rgba(0,0,0,.8);

    }

    .multi-content{
           padding: 2% 4%;
    }

    .multi-modal-input-div{
        display:flex;
        flex-direction: column;

    }

    .multi-modal-input-div p{
        margin-bottom: 5px;
        font-size: 16px;
        line-height: 24px;
        color: rgba(0,0,0,.6);
    }

    .multi-modal-radio-div{
        display:flex;
        flex-direction: row;

    }

    .multi-modal-radio-div p{
        margin-bottom: 5px;
        font-size: 16px;
        line-height: 24px;
        color: rgba(0,0,0,.6);
    }

    .multi-modal-input{
        width:100%;
        padding:4px;
        border: 1px solid #c5c5c5;

    }

    .multi-modal-button{
        display:flex;
        margin: 2px;
        align-items: center;
        justify-content: center;
        background-color: #0e3a62;
        border: 3px solid #0e3a62;
        letter-spacing: 1.2px;
        color: #fff;
        border-radius: 2px;
        box-shadow: none;
        outline: none;
        width: 100%;
        font-size: 16px;
        line-height: 16px;
        text-align: center;
        padding:12px;
        cursor: pointer;

    }

    .multi-modal-content {
        margin: 0;
        width: 40%;
        position: absolute;
        top: 8%;
        padding: 20px;
        left: 30%;
        margin-left: -30px;
        display:flex;
        align-items: center;
      }


 @media(min-width:2000px){
    .polaroid{
      width:40%;

    }
  }

 select {
  padding: 5px; 
  width: 500px;
  resize: both;
  overflow: auto;
}

#radio {
  padding: 5px; 
  width: 100px;
  overflow: auto;
}

#input {
  padding: 5px; 
  width: 500px;
  resize: both;
  overflow: auto;
}

#addUpdateProductSubmit{
  padding: 5px; 
  width: 500px;
  overflow: auto;
  height: 50px;
}

 @media(max-width:1100px){
    .header{
        
        }
      .multi-modal-content {
        margin: 0;
        width: 100%;
        top: 10%;
      }

      select {
        margin: 0;
        width: 100%;
        top: 10%;
      }

      #radio {
        margin: 0;
        width: 100%;
        top: 10%;
      }

      #input {
        margin: 0;
        width: 100%;
        top: 10%;
      }

      #submitbtn{
        margin: 0;
        width: 100%;
        top: 10%;
      }

      .form-popup{
        width:80%;
      }

      .footer{
          /* width:100% */
          padding: 0
      }

      .footer-grid{
          grid-template-columns: repeat(1,1fr);
          padding:32px 0;   
      }

      .footer-item{
          display:flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;
          
      }

      .about{
          /* width: 100%; */
        padding: 78px 0;
      }

      .about-heading{
          padding-top:48px;
          font-size:3rem
      }

    }

    @media(max-width:350px){
        .loginBtn{
            font-size:12px;
        }
    }
